include:
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

stages:
- trigger

.rules:run_benchmarks:
  rules:
  - if: '$RUN_BENCHMARKS'

.rules:run_load:
  rules:
  - if: '$RUN_BENCHMARKS'
    when: never
  - when: on_success

benchmarks:
  stage: trigger
  extends:
  - .rules:run_benchmarks
  trigger:
    project: gitlab-org/ci-cd/gitlab-runner-stress/benchmarks
    strategy: depend

kernel:
  stage: trigger
  extends:
  - .rules:run_load
  trigger:
    project: gitlab-org/ci-cd/gitlab-runner-stress/linux-kernel
    strategy: depend

ruby:
  stage: trigger
  extends:
  - .rules:run_load
  trigger:
    project: gitlab-org/ci-cd/gitlab-runner-stress/gitlab
    strategy: depend

go:
  stage: trigger
  extends:
  - .rules:run_load
  trigger:
    project: gitlab-org/ci-cd/gitlab-runner-stress/gitlab-runner
    strategy: depend
